Package com.google.android.exoplayer2.drm

## Class UnsupportedDrmException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - com.google.android.exoplayer2.drm.UnsupportedDrmException

- All Implemented Interfaces:
    `Serializable`

      public final class UnsupportedDrmException
      extends Exception

  Thrown when the requested DRM scheme is not supported.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static interface` | `UnsupportedDrmException.Reason` | The reason for the exception.

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `@com.google.android.exoplayer2.drm.UnsupportedDrmException.Reason int` | `reason` | Either `REASON_UNSUPPORTED_SCHEME` or `REASON_INSTANTIATION_ERROR`.
    `static int` | `REASON_INSTANTIATION_ERROR` | There device advertises support for the requested DRM scheme, but there was an error instantiating it.
    `static int` | `REASON_UNSUPPORTED_SCHEME` | The requested DRM scheme is unsupported by the device.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `UnsupportedDrmException​(@com.google.android.exoplayer2.drm.UnsupportedDrmException.Reason int reason)` |
    `UnsupportedDrmException​(@com.google.android.exoplayer2.drm.UnsupportedDrmException.Reason int reason, Exception cause)` |

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### REASON_UNSUPPORTED_SCHEME

          public static final int REASON_UNSUPPORTED_SCHEME

      The requested DRM scheme is unsupported by the device.
      See Also:
        Constant Field Values

    - #### REASON_INSTANTIATION_ERROR

          public static final int REASON_INSTANTIATION_ERROR

      There device advertises support for the requested DRM scheme, but there was an error instantiating it. The cause can be retrieved using `Throwable.getCause()`.
      See Also:
        Constant Field Values

    - #### reason

          @Reason
          public final @com.google.android.exoplayer2.drm.UnsupportedDrmException.Reason int reason

      Either `REASON_UNSUPPORTED_SCHEME` or `REASON_INSTANTIATION_ERROR`.

  - ### Constructor Detail

    - #### UnsupportedDrmException

          public UnsupportedDrmException​(@Reason
                                         @com.google.android.exoplayer2.drm.UnsupportedDrmException.Reason int reason)

      Parameters:
        `reason` - `REASON_UNSUPPORTED_SCHEME` or `REASON_INSTANTIATION_ERROR`.

    - #### UnsupportedDrmException

          public UnsupportedDrmException​(@Reason
                                         @com.google.android.exoplayer2.drm.UnsupportedDrmException.Reason int reason,
                                         Exception cause)

      Parameters:
        `reason` - `REASON_UNSUPPORTED_SCHEME` or `REASON_INSTANTIATION_ERROR`.
        `cause` - The cause of this exception.